Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 979668 - Review Request: perl-HTML-Entities-Interpolate - Call HTML::Entities::encode_entities via a hash within a string
Summary: Review Request: perl-HTML-Entities-Interpolate - Call HTML::Entities::encode_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 979667
Blocks: 987717
TreeView+ depends on / blocked
 
Reported: 2013-06-29 09:21 UTC by Christopher Meng
Modified: 2013-08-02 03:53 UTC (History)
3 users (show)

Fixed In Version: perl-HTML-Entities-Interpolate-1.05-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 03:45:27 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2013-06-29 09:21:57 UTC
Spec URL: http://cicku.me/perl-HTML-Entities-Interpolate.spec
SRPM URL: http://cicku.me/perl-HTML-Entities-Interpolate-1.04-1.fc20.srpm
Description: Given a file from the BackPAN, this module will let you find out what versions of what modules it contains, the distribution name and version.
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2013-06-29 09:29:00 UTC
Sorry for the wrong description.

Please view the SRPM.

Comment 2 Parag AN(पराग) 2013-07-03 11:04:22 UTC
source srpm not found

Comment 3 Christopher Meng 2013-07-03 11:58:41 UTC
(In reply to Parag AN(पराग) from comment #2)
> source srpm not found

Please check again, sorry.

NEW SPEC URL: http://cicku.me/perl-HTML-Entities-Interpolate.spec
NEW SRPM URL: http://cicku.me/perl-HTML-Entities-Interpolate-1.04-1.fc20.src.rpm

Comment 4 Parag AN(पराग) 2013-07-03 12:59:09 UTC
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm trball : efc22c4aa1fbe26112a53e4e637c7632b48ea429f2648cdb3207fc003e7540f9
upstream tarball : efc22c4aa1fbe26112a53e4e637c7632b48ea429f2648cdb3207fc003e7540f9

- License "GPLv2+ or Artistic" is NOT valid. I see its Artistic 1.0 

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=2, Tests=2,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.06 cusr  0.01 csys =  0.10 CPU)

+ Package perl-HTML-Entities-Interpolate-1.04-1.fc20
Provides: perl(HTML::Entities::Interpolate) = 1.04 perl-HTML-Entities-Interpolate = 1.04-1.fc20

Requires: perl(HTML::Entities) perl(Tie::Function) perl(warnings)

Suggestions:
1) Get the license clarified with upstream.

Comment 5 Christopher Meng 2013-07-11 05:38:22 UTC
The author just changed the license, as a result my waiting is over, I will update soon.

Comment 7 Parag AN(पराग) 2013-07-11 08:47:26 UTC
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     : f5c0199c72acb65f7ea158698fa8dc13c1cd4d64b8ba657a2e18e93d859b1f81
upstream tarball : f5c0199c72acb65f7ea158698fa8dc13c1cd4d64b8ba657a2e18e93d859b1f81

+ License "Artistic 2.0" is valid and included in source files.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=2, Tests=2,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.06 cusr  0.01 csys =  0.10 CPU)

+ Package perl-HTML-Entities-Interpolate-1.05-1.fc20
Provides: perl(HTML::Entities::Interpolate) = 1.05 perl-HTML-Entities-Interpolate = 1.05-1.fc20
Requires: perl(HTML::Entities) perl(Tie::Function) perl(warnings)

APPROVED.

Comment 8 Christopher Meng 2013-07-11 08:55:38 UTC
New Package SCM Request
=======================
Package Name: perl-HTML-Entities-Interpolate
Short Description: Call HTML::Entities::encode_entities via a hash within a string
Owners: cicku
Branches: f18 f19
InitialCC:

Comment 9 Gwyn Ciesla 2013-07-11 10:49:36 UTC
Git done (by process-git-requests).

Comment 10 Parag AN(पराग) 2013-07-22 04:20:51 UTC
Its been almost 2 weeks since SCM request has been done and this review is not closed. I can see this package is already available on koji.

Comment 11 Fedora Update System 2013-07-22 04:22:23 UTC
perl-HTML-Entities-Interpolate-1.05-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-HTML-Entities-Interpolate-1.05-1.fc18

Comment 12 Christopher Meng 2013-07-22 04:22:48 UTC
Yeah yeah yeah just built it 30 mins ago.

Busy these days and I still have 2 perl packages have no assignee.

Comment 13 Fedora Update System 2013-07-22 04:23:31 UTC
perl-HTML-Entities-Interpolate-1.05-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-HTML-Entities-Interpolate-1.05-1.fc19

Comment 14 Fedora Update System 2013-07-23 01:04:01 UTC
perl-HTML-Entities-Interpolate-1.05-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 15 Fedora Update System 2013-08-02 03:45:27 UTC
perl-HTML-Entities-Interpolate-1.05-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-08-02 03:53:59 UTC
perl-HTML-Entities-Interpolate-1.05-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.